"use client";
import React from "react";
import PageHeader from "../components/page-header";
import ProductFilter from "../components/products/product-filter";
import {
  DropdownMenu,
  DropdownMenuContent,
  DropdownMenuItem,
  DropdownMenuTrigger,
} from "@/components/ui/dropdown-menu";
import { Button } from "@/components/ui/button";
import { useState } from "react";
import ProductPackage from "../components/products/Product-package";

export default function page() {
  const [sort, setSort] = useState("Featured");
  const totalItems = 29;

  return (
    <>
      <PageHeader title="Shop" breadcrumb="Home - Shop" />
      <div className="flex mx-2 lg:mx-auto max-w-7xl mt-6 gap-4">
        <div className="md:block hidden">
          <ProductFilter />
        </div>
        <div className="w-full">
          <div className="flex items-center justify-between bg-customOffWhite px-4 py-2 rounded-lg shadow w-full">
            {/* Sort Dropdown */}
            <DropdownMenu>
              <DropdownMenuTrigger asChild>
                <Button variant="outline">Sort By: {sort}</Button>
              </DropdownMenuTrigger>
              <DropdownMenuContent align="end">
                <DropdownMenuItem onClick={() => setSort("Featured")}>
                  Featured
                </DropdownMenuItem>
                <DropdownMenuItem onClick={() => setSort("Price: Low to High")}>
                  Price: Low to High
                </DropdownMenuItem>
                <DropdownMenuItem onClick={() => setSort("Price: High to Low")}>
                  Price: High to Low
                </DropdownMenuItem>
                <DropdownMenuItem onClick={() => setSort("Newest")}>
                  Newest
                </DropdownMenuItem>
              </DropdownMenuContent>
            </DropdownMenu>
          </div>
          <div className="my-4 grid md:grid-cols-2  gap-4 ">
            <ProductPackage />
            <ProductPackage />
            <ProductPackage />
            <ProductPackage />
            <ProductPackage />
          </div>
        </div>
      </div>
    </>
  );
}
